import React from 'react';
import { HashRouter } from 'react-router-dom';
import { FeedbackBanner, Spinner } from '../..';
import { Display } from '../../common/Display';
var meta = {
  component: FeedbackBanner,
  title: 'Molecules / FeedbackBanner'
};
export default meta;
export var DefaultUsage = {
  args: {
    title: 'Feedback banner',
    children: 'Feedback banner should be used within modules to display information that needs attention. Content is flexible, it can contain links and plain text.'
  }
};
export var DisplayingTitle = function DisplayingTitle() {
  return React.createElement(Display, {
    items: [{
      title: 'With title',
      component: React.createElement(FeedbackBanner, {
        title: "This is a title"
      }, "This message has a title")
    }, {
      title: 'Without title',
      component: React.createElement(FeedbackBanner, null, "This message does not have a title")
    }]
  });
};
export var WithoutIcon = function WithoutIcon() {
  return React.createElement(FeedbackBanner, {
    title: "Disable icon",
    variant: "info",
    withIcon: false
  }, "This banner has no icon");
};
export var DifferentVariant = function DifferentVariant() {
  return React.createElement(Display, {
    items: [{
      title: 'info',
      component: React.createElement(FeedbackBanner, {
        title: "Info",
        variant: "info"
      }, "This is an information message")
    }, {
      title: 'error',
      component: React.createElement(FeedbackBanner, {
        title: "Error",
        variant: "error"
      }, "This is an error message")
    }, {
      title: 'warning',
      component: React.createElement(FeedbackBanner, {
        title: "Warning",
        variant: "warning"
      }, "This is a warning message")
    }, {
      title: 'success',
      component: React.createElement(FeedbackBanner, {
        title: "Success",
        variant: "success"
      }, "This is a success message")
    }]
  });
};
export var ComplexChildren = function ComplexChildren() {
  return React.createElement(HashRouter, null, React.createElement(FeedbackBanner, {
    title: "Warning, complex child",
    variant: "warning"
  }, React.createElement(React.Fragment, null, React.createElement("p", null, "The message can also be structured as a more complex item than just a string"), React.createElement("p", null, "For example, you can provide a Spinner ", React.createElement(Spinner, {
    id: "defaultSpinner"
  }), " if you want to"))));
};